/*
 * JBoss, Home of Professional Open Source
 *
 * Copyright 2013 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.picketlink.identity.federation.saml.common;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

/**
 * <p>
 * Java class for StatusDetailType complex type.
 *
 * <p>
 * The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType name="StatusDetailType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;any/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 */
public class CommonStatusDetailType implements Serializable {

    private static final long serialVersionUID = 1L;

    protected List<Object> any = new ArrayList<Object>();

    /**
     * Add status detail
     *
     * @param obj
     */
    public void addStatusDetail(Object obj) {
        this.any.add(obj);
    }

    /**
     * Remove status detail
     *
     * @param obj
     */
    public void removeStatusDetail(Object obj) {
        this.any.remove(obj);
    }

    /**
     * Gets the value of the any property. Read-Only list
     */
    public List<Object> getAny() {
        return Collections.unmodifiableList(this.any);
    }
}